# Get order details

Endpoint: GET /transactions/{merchant}/{site}/order-details
Version: 1.0.0

## Path parameters:

  - `merchant` (string, required)
    Your unique merchant identifier, as assigned by PXP.

  - `site` (string, required)
    Your unique site identifier, as assigned by PXP.

## Query parameters:

  - `fundingType` (string, required)
    The funding type used for this transaction. Currently, only `paypal` is supported.

  - `systemTransactionId` (string, required)
    The unique identifier assigned to this transaction by PXP.

## Response 200 fields (application/json):

  - `fundingData` (object)
    Details about the funding method.

  - `fundingData.shippingAddress` (object)
    Details about the shipping address.

  - `fundingData.shippingAddress.addressLine1` (string)
    The first line of the shipping address.
    Example: Flat 3

  - `fundingData.shippingAddress.addressLine2` (string)
    The second line of the shipping address.
    Example: 59 Southdown Rd

  - `fundingData.shippingAddress.city` (string)
    The city of the shipping address.
    Example: Harpenden

  - `fundingData.shippingAddress.postalCode` (string)
    The postal code of the shipping address.
    Example: AL1 3JQ

  - `fundingData.shippingAddress.county` (string)
    The county of the shipping address.
    Example: Hertfordshire

  - `fundingData.shippingAddress.state` (string)
    The state of the shipping address.
    Example: CA

  - `fundingData.shippingAddress.countryCode` (string)
    The country code of the shipping address, in ISO-3166-1 alpha-2 format.
    Example: GB

  - `fundingData.merchantTransactionId` (string)
    The unique identifier you assigned to this transaction.
    Example: TRANSACTION-001

  - `fundingData.systemTransactionId` (string)
    A unique identifier generated by PXP for each transaction. It serves as a reference for tracking and querying transactions within the PXP system. This ID is crucial for performing modifications or querying transaction details.
    Example: 1ed768bb-e88a-4636-91ae-67927ccbb02b

  - `fundingData.providerTransactionId` (string)
    The unique identifier assigned to this transaction by the provider. If the provider is PXP, then this matches the `systemTransactionId`.
    Example: 1ed768bb-e88a-4636-91ae-67927ccbb02b

## Response 400 fields (application/json):

  - `correlationId` (string)
    The unique identifier for this error response. Include it when contacting PXP support.
    Example: 81f32b80-2ba0-4430-8ecd-0b559274ba9c

  - `details` (array)
    Additional information about the error, such as field-level validation messages. Each entry is a string. May be empty.
    Example: ["'$.site' - The site field is required."]

  - `errorCode` (string)
    The error code returned for the operation.
    Example: INVALID_REQUEST

  - `errorReason` (string)
    The error reason returned for the operation.
    Example: One or more validation errors occurred.

## Response 401 fields (application/json):

  - `correlationId` (string)
    The unique identifier for this error response. Include it when contacting PXP support.
    Example: 81f32b80-2ba0-4430-8ecd-0b559274ba9c

  - `details` (array)
    Additional information about the error, such as field-level validation messages. Each entry is a string. May be empty.
    Example: ["'$.site' - The site field is required."]

  - `errorCode` (string)
    The error code returned for the operation.
    Example: INVALID_REQUEST

  - `errorReason` (string)
    The error reason returned for the operation.
    Example: One or more validation errors occurred.

## Response 403 fields (application/json):

  - `correlationId` (string)
    The unique identifier for this error response. Include it when contacting PXP support.
    Example: 81f32b80-2ba0-4430-8ecd-0b559274ba9c

  - `details` (array)
    Additional information about the error, such as field-level validation messages. Each entry is a string. May be empty.
    Example: ["'$.site' - The site field is required."]

  - `errorCode` (string)
    The error code returned for the operation.
    Example: INVALID_REQUEST

  - `errorReason` (string)
    The error reason returned for the operation.
    Example: One or more validation errors occurred.

## Response 404 fields (application/json):

  - `correlationId` (string)
    The unique identifier for this error response. Include it when contacting PXP support.
    Example: 81f32b80-2ba0-4430-8ecd-0b559274ba9c

  - `details` (array)
    Additional information about the error, such as field-level validation messages. Each entry is a string. May be empty.
    Example: ["'$.site' - The site field is required."]

  - `errorCode` (string)
    The error code returned for the operation.
    Example: INVALID_REQUEST

  - `errorReason` (string)
    The error reason returned for the operation.
    Example: One or more validation errors occurred.

## Response 413 fields (application/json):

  - `correlationId` (string)
    The unique identifier for this error response. Include it when contacting PXP support.
    Example: 81f32b80-2ba0-4430-8ecd-0b559274ba9c

  - `details` (array)
    Additional information about the error, such as field-level validation messages. Each entry is a string. May be empty.
    Example: ["'$.site' - The site field is required."]

  - `errorCode` (string)
    The error code returned for the operation.
    Example: INVALID_REQUEST

  - `errorReason` (string)
    The error reason returned for the operation.
    Example: One or more validation errors occurred.

## Response 422 fields (application/json):

  - `correlationId` (string)
    The unique identifier for this error response. Include it when contacting PXP support.
    Example: 81f32b80-2ba0-4430-8ecd-0b559274ba9c

  - `details` (array)
    Additional information about the error, such as field-level validation messages. Each entry is a string. May be empty.
    Example: ["'$.site' - The site field is required."]

  - `errorCode` (string)
    The error code returned for the operation.
    Example: INVALID_REQUEST

  - `errorReason` (string)
    The error reason returned for the operation.
    Example: One or more validation errors occurred.

## Response 500 fields (application/json):

  - `correlationId` (string)
    The unique identifier for this error response. Include it when contacting PXP support.
    Example: 81f32b80-2ba0-4430-8ecd-0b559274ba9c

  - `details` (array)
    Additional information about the error, such as field-level validation messages. Each entry is a string. May be empty.
    Example: ["'$.site' - The site field is required."]

  - `errorCode` (string)
    The error code returned for the operation.
    Example: INVALID_REQUEST

  - `errorReason` (string)
    The error reason returned for the operation.
    Example: One or more validation errors occurred.

## Response default fields (application/json):

  - `correlationId` (string, required)
    The unique identifier for this error response. Include it when contacting PXP support.
    Example: 81f32b80-2ba0-4430-8ecd-0b559274ba9c

  - `details` (array)
    Additional information about the error, such as field-level validation messages. Each entry is a string. May be empty.
    Example: ["'$.site' - The site field is required."]

  - `errorCode` (string, required)
    A standardized code that categorizes the type of error encountered, enabling quick identification of common issues.

  - `errorReason` (string, required)
    A human-readable explanation of the error, providing clarity on the nature of the problem encountered.

